export default function Status({ status } : { status: string }) {
    let bgColor, textColor, label;

    switch (status) {
      case "online":
        bgColor = "bg-green-500";
        textColor = "text-green-500";
        label = "Online";
        break;
      case "stopped":
        bgColor = "bg-gray-500";
        textColor = "text-gray-500";
        label = "Stopped";
        break;
      case "errored":
        bgColor = "bg-red-500";
        textColor = "text-red-500";
        label = "Errored";
        break;
      default:
        bgColor = "bg-gray-500";
        textColor = "text-gray-500";
        label = status;
    }
    return (
        <div className='flex flex-row ml-1'>
            <div className={`rounded-full h-4 w-4 ${bgColor} mt-1 mr-1`}>
            </div>
            <p className={`${textColor} font-bold`}>{label}</p>
        </div>
    )
}
